#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int br=0;
    int r[n];
    int c[n];
    int a[n+1]={0};
    int b[n+1]={0};
    for(int i=0;i<n;i++)
    {
        cin>>r[i];
        cin>>c[i];
    }
    for(int i=0;i<n;i++)
    {
        a[r[i]]++;
        b[c[i]]++;
    }
    for(int i=0;i<n;i++)
    {
        if(a[i]>0&&b[i]>0)
            {
                int maks=a[i];
                if(b[i]>maks)
                    maks=b[i];

                a[i]=0;
                b[i]=0;
                br+=maks-1;
            }
    }
    cout<<br<<endl;

    return 0;
}